package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF062Response {

    @Parameter(name = "AVZamOdData")
    java.util.Date aVZamOdData();

    @Parameter(name = "CIF")
    String cif();

    @Parameter(name = "CisloBU")
    String cisloBU();

    @Parameter(name = "CisloOM")
    String cisloOM();

    @Parameter(name = "CisloPasu")
    String cisloPasu();

    @Parameter(name = "Data")
    java.util.List<MWF062Data> data();

    @Parameter(name = "DatumPodpisu")
    java.util.Date datumPodpisu();

    @Parameter(name = "DrzitelCIF")
    String drzitelCIF();

    @Parameter(name = "DrzitelHeslo")
    String drzitelHeslo();

    @Parameter(name = "DrzitelRC")
    String drzitelRC();

    @Parameter(name = "DrzitelTelefon")
    String drzitelTelefon();

    @Parameter(name = "DrzitelTelefonMobil")
    String drzitelTelefonMobil();

    @Parameter(name = "DrzitelTelefonMobilPredcisli")
    String drzitelTelefonMobilPredcisli();

    @Parameter(name = "DrzitelTelefonPredcisli")
    String drzitelTelefonPredcisli();

    @Parameter(name = "DrzitelTelefonZamestnani")
    String drzitelTelefonZamestnani();

    @Parameter(name = "DrzitelTelefonZamestnaniPredcisli")
    String drzitelTelefonZamestnaniPredcisli();

    @Parameter(name = "DuvodRozhodnuti")
    String duvodRozhodnuti();

    @Parameter(name = "DuvodZamitnuti")
    String duvodZamitnuti();

    @Parameter(name = "EvidencniCislo")
    String evidencniCislo();

    @Parameter(name = "KlientBydliNaAdreseOdPouzeRok")
    Long klientBydliNaAdreseOdPouzeRok();

    @Parameter(name = "KlientCisloDruhehoDokladu")
    String klientCisloDruhehoDokladu();

    @Parameter(name = "KlientCisloOP")
    String klientCisloOP();

    @Parameter(name = "KlientCisloPrvnihoDokladu")
    String klientCisloPrvnihoDokladu();

    @Parameter(name = "KlientDruhBydleni")
    String klientDruhBydleni();

    @Parameter(name = "KlientDruhDruhehoDokladu")
    String klientDruhDruhehoDokladu();

    @Parameter(name = "KlientDruhPrvnihoDokladu")
    String klientDruhPrvnihoDokladu();

    @Parameter(name = "KlientICO")
    String klientICO();

    @Parameter(name = "KlientJmeno")
    String klientJmeno();

    @Parameter(name = "KlientObchodniJmeno")
    String klientObchodniJmeno();

    @Parameter(name = "KlientPlatnostOP")
    java.util.Date klientPlatnostOP();

    @Parameter(name = "KlientPracPomer")
    String klientPracPomer();

    @Parameter(name = "KlientPredlDokladPrijem")
    String klientPredlDokladPrijem();

    @Parameter(name = "KlientPredlDokladSIPO")
    String klientPredlDokladSIPO();

    @Parameter(name = "KlientPredlDokladUcetNajem")
    String klientPredlDokladUcetNajem();

    @Parameter(name = "KlientPredlDokladVypisUcet")
    String klientPredlDokladVypisUcet();

    @Parameter(name = "KlientPredlDokladVyuctTelefon")
    String klientPredlDokladVyuctTelefon();

    @Parameter(name = "KlientPrijmeni")
    String klientPrijmeni();

    @Parameter(name = "KlientRC")
    String klientRC();

    @Parameter(name = "KlientStav")
    String klientStav();

    @Parameter(name = "KlientVzdelani")
    String klientVzdelani();

    @Parameter(name = "KlientZamCisloOrientacni")
    String klientZamCisloOrientacni();

    @Parameter(name = "KlientZamCisloPopisne")
    String klientZamCisloPopisne();

    @Parameter(name = "KlientZamCistyPrijem")
    Double klientZamCistyPrijem();

    @Parameter(name = "KlientZamICO")
    String klientZamICO();

    @Parameter(name = "KlientZamMobil")
    String klientZamMobil();

    @Parameter(name = "KlientZamMobilPredvolba")
    String klientZamMobilPredvolba();

    @Parameter(name = "KlientZamNazev")
    String klientZamNazev();

    @Parameter(name = "KlientZamObec")
    String klientZamObec();

    @Parameter(name = "KlientZamOdRoku")
    java.util.Date klientZamOdRoku();

    @Parameter(name = "KlientZamOdRokuPouzeRok")
    Long klientZamOdRokuPouzeRok();

    @Parameter(name = "KlientZamPSC")
    String klientZamPSC();

    @Parameter(name = "KlientZamPovolani")
    String klientZamPovolani();

    @Parameter(name = "KlientZamPrijemDom")
    Double klientZamPrijemDom();

    @Parameter(name = "KlientZamSplatky")
    Double klientZamSplatky();

    @Parameter(name = "KlientZamTel")
    String klientZamTel();

    @Parameter(name = "KlientZamTelPredvolba")
    String klientZamTelPredvolba();

    @Parameter(name = "KlientZamUlice")
    String klientZamUlice();

    @Parameter(name = "KlientZamVyzOsoby")
    String klientZamVyzOsoby();

    @Parameter(name = "KlientZamZakladDane")
    Double klientZamZakladDane();

    @Parameter(name = "LimitBankomat")
    Double limitBankomat();

    @Parameter(name = "LimitObchodnik")
    Double limitObchodnik();

    @Parameter(name = "MSISDN")
    String msisdn();

    @Parameter(name = "MaxPocetTransakciDen")
    Long maxPocetTransakciDen();

    @Parameter(name = "NahraditKartuCislo")
    String nahraditKartuCislo();

    @Parameter(name = "PCTTabulka")
    String pCTTabulka();

    @Parameter(name = "PojisteniVydajuPozadovano")
    String pojisteniVydajuPozadovano();

    @Parameter(name = "PojisteniVydajuSchvaleno")
    String pojisteniVydajuSchvaleno();

    @Parameter(name = "PoleDS")
    String poleDS();

    @Parameter(name = "PrimarniUrednik")
    String primarniUrednik();

    @Parameter(name = "StatEU")
    String statEU();

    @Parameter(name = "StatniPrislusnost")
    String statniPrislusnost();

    @Parameter(name = "TechnologieKarty")
    String technologieKarty();

    @Parameter(name = "TypKarty")
    String typKarty();

    @Parameter(name = "TypKartySchvaleno")
    String typKartySchvaleno();

    @Parameter(name = "Vypracoval")
    String vypracoval();

    @Parameter(name = "VytlaceneJmeno")
    String vytlaceneJmeno();

    @Parameter(name = "VytlaceneJmeno2")
    String vytlaceneJmeno2();

    @Parameter(name = "ZAKartaCO")
    String zAKartaCO();

    @Parameter(name = "ZAKartaCP")
    String zAKartaCP();

    @Parameter(name = "ZAKartaObec")
    String zAKartaObec();

    @Parameter(name = "ZAKartaPSC")
    String zAKartaPSC();

    @Parameter(name = "ZAKartaPosta")
    String zAKartaPosta();

    @Parameter(name = "ZAKartaTypAdresy")
    String zAKartaTypAdresy();

    @Parameter(name = "ZAKartaUlice")
    String zAKartaUlice();

    @Parameter(name = "ZAPINCO")
    String zapinco();

    @Parameter(name = "ZAPINCP")
    String zapincp();

    @Parameter(name = "ZAPINObec")
    String zAPINObec();

    @Parameter(name = "ZAPINPSC")
    String zapinpsc();

    @Parameter(name = "ZAPINPosta")
    String zAPINPosta();

    @Parameter(name = "ZAPINTypAdresy")
    String zAPINTypAdresy();

    @Parameter(name = "ZAPINUlice")
    String zAPINUlice();

    @Parameter(name = "ZamestnaniTelefon")
    String zamestnaniTelefon();

    @Parameter(name = "ZpusobDistribucePIN")
    String zpusobDistribucePIN();

}